#foswiki 2017-03-17,Fri

↑back Search ←Prev date Next date→ Show only urls(Click on time to select a line by its url)

WhoWhatWhen
GithubBot[distro] gac410 created Item14343 (+1 new commit): https://git.io/vyH1b
distro/Item14343 0d20ce7 George Clark: Item14343: Modify Wiki Groups for easier upgrades...
[01:11]
***GithubBot has left [01:11]
FoswikiBothttps://foswiki.org/Tasks/Item14343 [ Item14343: Minor topic rearranging to further simplify upgrades. ] [01:11]
........................................................................... (idle for 6h13mn)
***ChanServ sets mode: +o MichaelDaum [07:24]
........................................ (idle for 3h17mn)
ChanServ sets mode: +o Lynnwood [10:41]
......................... (idle for 2h3mn)
ChanServ sets mode: +o gac410 [12:44]
.............................. (idle for 2h27mn)
ChanServ sets mode: +o Lynnwood [15:11]
........................................................... (idle for 4h53mn)
Lynnwoodhey all - I just updated a ubuntu server to latest and am getting issue reported in Tasks.Item14324 about "Unescaped left brace". [20:04]
FoswikiBothttps://foswiki.org/Tasks/Item14324 [ Item14324: Unescaped left brace - Perl 5.25.10 in 2.1.3 tarball. ] [20:04]
gac410What perl is installed?
And which ubuntu version?
[20:04]
Lynnwoodv5.22.1
that's the perl
[20:05]
gac410That's what I run here too. No issues. There were a bunch of instances reported in 14324 ... any one in particular [20:05]
Lynnwoodubuntu version 16.04.2 [20:06]
gac410that's what is on my laptop, and on foswiki.org too. [20:06]
Lynnwoodthe site seems to work ok, but configure won't load. [20:06]
gac410That's really strange. Foswiki.org is running perl 5.22.2 everything runs just fine. Are you sure it's not a plugin? [20:07]
Lynnwoodthe first issue appeared to be this one:
...trying to find it again...
Tasks.Item2006
[20:08]
FoswikiBothttps://foswiki.org/Tasks/Item2006 [ Item2006: -w switch on configure script can lead to non-functioning configure ] [20:09]
gac410Do you have FOSWIKI_ASSERT enabled in bin/LocalLIb.cfg? That will make warnings become errors. But we're not even seeing warnings [20:10]
Lynnwoodlet me check that... i don't think so [20:10]
gac410Wow that's really strange. We don't even have the -w or other switches enabled on the command line. Item2006 is ancient. [20:10]
LynnwoodI made the change mentioned at end of Tasks.Item13345 [20:11]
FoswikiBothttps://foswiki.org/Tasks/Item13345 [ Item13345: "any" pragma is deprecated in CGI-4.14 ] [20:11]
Lynnwoodand then i get this wierd error about "Failed to load the perl module Foswiki::Configure::TemplateParser. " [20:11]
FoswikiBothttps://trunk.foswiki.org/System/PerlDoc?module=Foswiki::Configure::TemplateParser [20:11]
gac410Are you *sure* you are running Foswiki 2.1.3? Those are all Foswiki 1.1.x issues [20:11]
Lynnwoodyes, these is still a 1.1.9 issue.
i'm about to upgrade it but they wanted to upgrade the OS first.
[20:12]
gac410Oh. 1.1.9 That is pretty much hopeless on new perl. Try 1.1.10, that should be better but still may be issues. [20:12]
Lynnwoodok... maybe it is but i'll check [20:12]
gac410Basically 1,1 is toast with newer cpan or perl. [20:12]
Lynnwoodso perhaps I should really recommend that we reverse order of upgrade. do foswiki first and then update the OS [20:13]
gac410Those are *all* fixed in 2.1.3 [20:13]
Lynnwoodyep [20:13]
gac410With 1.1 even perlbrew to get an old perl can be difficult because you still get latest cpan, and that qw{any} issue would still exist.
As would calling query->param() in a list context. Which is a CVE against old cgi
in 1.1.10, I think we patched most of these issues. Might have missed a couple but the whole reason for 1.1.10 was compatibility
If you really want, there are patches here: https://github.com/foswiki/distro/tree/Release01x01/PatchRelease01x01Contrib/working/configure/patch
with 1.1.10 we bypassed the calling query->param() error by disabling the check, but in 2.x we changed all the calls to multi_param() where needed.
[20:13]
Lynnwoodi should have tried updating to 1.1.10 first. Configure is loading at least. [20:21]
still getting lots of those "Unescaped left brace in regex"...
i think i need to reverse the upgrade path.
[20:34]
gac410Each new release of perl seems to add tighter checking of the unescaped left brace. As jomo found a bunch more with perl 25.
er perl 5.25.x
[20:36]

↑back Search ←Prev date Next date→ Show only urls(Click on time to select a line by its url)